stages:
  - build

.build-image:
  stage: build
  services:
    - docker:dind
  image: docker:latest
  when: manual
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - |
      if [[ "$CI_COMMIT_BRANCH" == "$CI_DEFAULT_BRANCH" ]]; then
        tag=""
        echo "Running on default branch '$CI_DEFAULT_BRANCH': tag = 'latest'"
      else
        tag=":$CI_COMMIT_REF_SLUG"
        echo "Running on branch '$CI_COMMIT_BRANCH': tag = $tag"
      fi
    - docker build --pull -t $DOCKER_IMAGE_NAME${tag} -f $DOCKER_FILE_PATH .
    - docker push $DOCKER_IMAGE_NAME${tag}

build-service-image:
  extends: .build-image
  variables:
    DOCKER_IMAGE_NAME: ${CI_REGISTRY_IMAGE}/bff-service
    DOCKER_FILE_PATH: ./SWSG.BffService/Dockerfile



